Name:    psfex
Version: 3.21.1
Release: %mkrel 5
Summary: Model the Point Spread Function from FITS images

Group:   Sciences/Astronomy
License: GPLv3
URL:     http://www.astromatic.net/software/%{name}
Source0: http://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

BuildRequires: fftw-devel
BuildRequires: libatlas-devel
BuildRequires: lapack-devel
BuildRequires: pkgconfig(plplot) >= 5.10.0
ExcludeArch: %{ix86} armv7hl

%description
PSFEx (“PSF Extractor”) extracts models of the Point Spread Function (PSF)
from FITS images processed with SExtractor and measures the quality of images.
The generated PSF models can be used for model-fitting photometry or
morphological analyses.

%prep
%autosetup -p1


touch plplot_config.h

# New atlas libs
sed -i -e '/LIBS*=.*atlas/s,=.*,="-L%{_libdir}/atlas -lsatlas",' configure.ac

%build
autoreconf -vfi
CFLAGS="%{optflags} -fcommon"
%configure  --with-atlas-libdir=%{_libdir}/atlas
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/manx/%{name}.x*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/default.conv
%{_datadir}/%{name}/default.psfex
%{_datadir}/%{name}/prepsfex.param
%{_datadir}/%{name}/prepsfex.sex
%{_datadir}/%{name}/psfex.xsl



%changelog
* Sun Jun 28 2020 joequant <joequant> 3.21.1-5.mga8
+ Revision: 1600041
- remove 32-bit archs with no atlas
- remove 32-bit arches
- fix to gcc10
- rebuild

* Thu Feb 20 2020 umeabot <umeabot> 3.21.1-3.mga8
+ Revision: 1545441
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 3.21.1-2.mga8
+ Revision: 1484762
- rebuild for new plplot 5.15.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 eatdirt <eatdirt> 3.21.1-1.mga7
+ Revision: 1371502
- Upgrade to version 3.21.1

* Sun Sep 09 2018 wally <wally> 3.17.1-7.mga7
+ Revision: 1258025
- fix build on aarch64

* Sun May 22 2016 tv <tv> 3.17.1-6.mga6
+ Revision: 1017790
- rebuild for new atlas
- fix building with atlas
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 eatdirt <eatdirt> 3.17.1-4.mga6
+ Revision: 884892
- Rebuilt for new plplot

* Wed Oct 15 2014 umeabot <umeabot> 3.17.1-3.mga5
+ Revision: 747679
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.17.1-2.mga5
+ Revision: 687810
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 eatdirt <eatdirt> 3.17.1-1.mga5
+ Revision: 642083
- Upgrade to version 3.17.1

* Tue Feb 25 2014 eatdirt <eatdirt> 3.9.1-4.mga5
+ Revision: 596749
- Rebuild for new plplot

* Mon Oct 21 2013 umeabot <umeabot> 3.9.1-3.mga4
+ Revision: 538760
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 3.9.1-2.mga4
+ Revision: 490374
- patch psfex to new plplot
- upgrade to new plplot

* Sun Jul 14 2013 joequant <joequant> 3.9.1-1.mga4
+ Revision: 454021
- imported package psfex

